# wiki-jogobot-charts
This is a [Pywikibot](https://www.mediawiki.org/wiki/Manual:Pywikibot) based [Wikipedia Bot](https://de.wikipedia.org/wiki/Wikipedia:Bots)
of [User:JogoBot](https://de.wikipedia.org/wiki/Benutzer:JogoBot) on the
[German Wikipedia](https://de.wikipedia.org/wiki/Wikipedia:Hauptseite).

On [JogoBots wikipedia user page](https://de.wikipedia.org/wiki/Benutzer:JogoBot/Charts) a more detailed description can be found.

## Requirements
* python3.4+


* pywikibot-core


The libraries above need to be installed and configured manualy considering [documentation of pywikibot-core](https://www.mediawiki.org/wiki/Manual:Pywikibot).

* mwparserfromhell
* isoweek
* [jogobot-core module](https://git.golderweb.de/wiki/jogobot)

Those can be installed using pip and the _requirements.txt_ file provided with this packet

    pip install -r requirements.txt

## Versions

* v1.3
  - jogobot module not longer included
* v1.2
  - improved repo structure
* v1.1
  - Cut Titel and Interpret on first linebreak
* v1.0
  - first stable release

## Bugs
[jogobot-charts Issues](https://git.golderweb.de/wiki/jogobot-charts/issues)

## License
GPLv3+

## Author Information
Copyright 2018 Jonathan Golder <jonathan@golderweb.de>
